
function DrawMainWin()

	local tempWidth = 325;
	local tempHeight = 370;

	-- Main Parent window to hold all the elements
	wMainWinParent = Turbine.UI.Lotro.Window();
	wMainWinParent:SetSize(tempWidth,tempHeight);
	wMainWinParent:SetPosition(SETTINGS.MAINWIN.X,SETTINGS.MAINWIN.Y);
	wMainWinParent:SetText(_LANG.MAINWINTITLE[SETTINGS.LANGUAGE]);
	wMainWinParent:SetVisible(SETTINGS.MAINWIN.VISIBLE);

	Onscreen(wMainWinParent); -- Makes sure the window is still onscreen (perhaps user changed resolution since last playing)

	-- Background control to hold the background image
	wMainWinBack = Turbine.UI.Control();
	wMainWinBack:SetParent(wMainWinParent);
	wMainWinBack:SetSize(323,370);
	wMainWinBack:SetPosition(1,-3);
	wMainWinBack:SetBlendMode(4);
	wMainWinBack:SetBackground(_IMAGES.MAINWINBACK);
	wMainWinBack:SetMouseVisible(false);


	-- Settings controls

	local LINETOP = 50;

	-- HUD Type

	local _HUDTYPES = {};
	for k,v in pairs (_LANG.HUDs) do
		table.insert(_HUDTYPES,v[SETTINGS.LANGUAGE]);
	end

	ddHUDType = DropDown.Create(_HUDTYPES,SETTINGS.HUDTYPE);
	ddHUDType:SetParent(wMainWinParent);
	ddHUDType:ApplyWidth(150);
	ddHUDType:SetPosition(tempWidth-ddHUDType:GetWidth()-25,LINETOP+2);

	ddHUDType.ItemChanged = function ()
		SETTINGS.HUDTYPE = ddHUDType:GetText();
		ClearHUD();
		DrawHUD();

		if ddHUDType:GetText() == _LANG.HUDs.SIMPLEABOVE[SETTINGS.LANGUAGE] then
			sbOffset:SetMaximum((SCREENHEIGHT/2));
			sbOffset:SetValue(SETTINGS.SIMPLEABOVE.OFFSET);
			lblOffset:SetText(SETTINGS.SIMPLEABOVE.OFFSET .. "px");
		elseif _LANG.HUDs.SIMPLEBELOW[SETTINGS.LANGUAGE] then
			sbOffset:SetMaximum((SCREENHEIGHT/2)-100);
			sbOffset:SetValue(SETTINGS.SIMPLEBELOW.OFFSET);
			lblOffset:SetText(SETTINGS.SIMPLEBELOW.OFFSET .. "px");
		else
			lblOffsetDesc:SetVisible(false);
			sbOffset:SetVisible(false);
			lblOffset:SetVisible(false);
		end

	end


	local lblHUDType = Turbine.UI.Label();
	lblHUDType:SetParent(wMainWinParent);
	lblHUDType:SetSize(80,20);
	lblHUDType:SetPosition(ddHUDType:GetLeft()-lblHUDType:GetWidth()-5,LINETOP);
	lblHUDType:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight);
	lblHUDType:SetForeColor(KHAKI);
	lblHUDType:SetFont(Verdana12);
	lblHUDType:SetText(_LANG.TYPE[SETTINGS.LANGUAGE]);


	LINETOP = LINETOP + 30;

	-- Value format
	local _VALUETYPES = {};
	local formatcounter = 0;

	for k,v in pairs (_LANG.VALUEFORMAT) do
		formatcounter = formatcounter + 1;
	end

	for i=1, formatcounter do
		table.insert(_VALUETYPES,_LANG.VALUEFORMAT[i][SETTINGS.LANGUAGE]);
	end



	ddValFormat = DropDown.Create(_VALUETYPES,SETTINGS.VALUEFORMAT);
	ddValFormat:SetParent(wMainWinParent);
	ddValFormat:SetPosition(ddHUDType:GetLeft(),LINETOP+2);
	ddValFormat:ApplyWidth(ddHUDType:GetWidth());

	ddValFormat.ItemChanged = function ()
		SETTINGS.VALUEFORMAT = ddValFormat:GetText();
		ClearHUD();
		DrawHUD();
	end


	local lblValueFormat = Turbine.UI.Label();
	lblValueFormat:SetParent(wMainWinParent);
	lblValueFormat:SetSize(80,20);
	lblValueFormat:SetPosition(lblHUDType:GetLeft(),LINETOP);
	lblValueFormat:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight);
	lblValueFormat:SetForeColor(KHAKI);
	lblValueFormat:SetFont(Verdana12);
	lblValueFormat:SetText(_LANG.VALFORMAT[SETTINGS.LANGUAGE]);


	LINETOP = LINETOP + 40;

	-- Colours
	local lblMoraleColour = Turbine.UI.Label();
	lblMoraleColour:SetParent(wMainWinParent);
	lblMoraleColour:SetSize(60,25);
	lblMoraleColour:SetPosition(20,LINETOP);
	lblMoraleColour:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight);
	lblMoraleColour:SetForeColor(KHAKI);
	--lblMoraleColour:SetBackColor(Turbine.UI.Color.Red);
	lblMoraleColour:SetFont(Verdana12);
	lblMoraleColour:SetText(_LANG.MORALECOL[SETTINGS.LANGUAGE]);

	cMoralePreview = Turbine.UI.Control();
	cMoralePreview:SetParent(wMainWinParent);
	cMoralePreview:SetSize(25,25);
	cMoralePreview:SetPosition(lblMoraleColour:GetLeft()+65,LINETOP+1);
	cMoralePreview:SetBackColor(GetTurbineColor(SETTINGS.MORALE.COLOR));

	cMoralePreview.MouseClick = function (sender,args)
		GetColour(sender);
	end


	local lblPowerColour = Turbine.UI.Label();
	lblPowerColour:SetParent(wMainWinParent);
	lblPowerColour:SetSize(60,25);
	lblPowerColour:SetPosition(cMoralePreview:GetLeft()+30,LINETOP);
	lblPowerColour:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight);
	lblPowerColour:SetForeColor(KHAKI);
	--lblPowerColour:SetBackColor(Turbine.UI.Color.Red);
	lblPowerColour:SetFont(Verdana12);
	lblPowerColour:SetText(_LANG.POWERCOL[SETTINGS.LANGUAGE]);

	cPowerPreview = Turbine.UI.Control();
	cPowerPreview:SetParent(wMainWinParent);
	cPowerPreview:SetSize(25,25);
	cPowerPreview:SetPosition(lblPowerColour:GetLeft()+65,LINETOP+1);
	cPowerPreview:SetBackColor(GetTurbineColor(SETTINGS.POWER.COLOR));

	cPowerPreview.MouseClick = function (sender,args)
		GetColour(sender);
	end


	local lblFuryColour = Turbine.UI.Label();
	lblFuryColour:SetParent(wMainWinParent);
	lblFuryColour:SetSize(60,25);
	lblFuryColour:SetPosition(cPowerPreview:GetLeft()+30,LINETOP);
	lblFuryColour:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight);
	lblFuryColour:SetForeColor(KHAKI);
	--lblFuryColour:SetBackColor(Turbine.UI.Color.Red);
	lblFuryColour:SetFont(Verdana12);
	lblFuryColour:SetText(_LANG.FURYCOL[SETTINGS.LANGUAGE]);

	cFuryPreview = Turbine.UI.Control();
	cFuryPreview:SetParent(wMainWinParent);
	cFuryPreview:SetSize(25,25);
	cFuryPreview:SetPosition(lblFuryColour:GetLeft()+65,LINETOP+1);
	cFuryPreview:SetBackColor(GetTurbineColor(SETTINGS.FURY.COLOR));

	cFuryPreview.MouseClick = function (sender,args)
		GetColour(sender);
	end

	LINETOP = LINETOP + 45;

	-- Opacity Slider
	local lblOpacityDesc = Turbine.UI.Label();
	lblOpacityDesc:SetParent(wMainWinParent);
	lblOpacityDesc:SetSize(60,20);
	lblOpacityDesc:SetPosition(lblMoraleColour:GetLeft()-5,LINETOP);
	lblOpacityDesc:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight);
	lblOpacityDesc:SetForeColor(KHAKI);
	--lblOpacityDesc:SetBackColor(Turbine.UI.Color.Red);
	lblOpacityDesc:SetFont(Verdana12);
	lblOpacityDesc:SetText(_LANG.OPACITY[SETTINGS.LANGUAGE]);

	sbOpacity = Turbine.UI.Lotro.ScrollBar();
	sbOpacity:SetParent(wMainWinParent);
	sbOpacity:SetOrientation(Turbine.UI.Orientation.Horizontal);
	sbOpacity:SetSize(170,8);
	sbOpacity:SetPosition(lblOpacityDesc:GetLeft()+75,LINETOP+7);
	sbOpacity:SetVisible(true);
	sbOpacity:SetZOrder(200000);
	sbOpacity:SetValue(SETTINGS.MORALE.OPACITY*100);

	lblOpacity = Turbine.UI.Label();
	lblOpacity:SetParent(wMainWinParent);
	lblOpacity:SetSize(40,20);
	lblOpacity:SetPosition(sbOpacity:GetLeft()+sbOpacity:GetWidth()+10,LINETOP);
	lblOpacity:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	lblOpacity:SetForeColor(KHAKI);
	--lblOpacity:SetBackColor(Turbine.UI.Color.Red);
	lblOpacity:SetFont(Verdana12);
	lblOpacity:SetText(SETTINGS.MORALE.OPACITY*100 .. "%");

	sbOpacity.ValueChanged = function (sender,args)

		lblOpacity:SetText(sbOpacity:GetValue() .. "%");

		SETTINGS.MORALE.OPACITY = sbOpacity:GetValue()/100;
		SETTINGS.POWER.OPACITY = sbOpacity:GetValue()/100;
		SETTINGS.FURY.OPACITY = sbOpacity:GetValue()/100;

		RefreshHUD();

	end


	LINETOP = LINETOP + 30;

	-- Width Slider
	local lblWidthDesc = Turbine.UI.Label();
	lblWidthDesc:SetParent(wMainWinParent);
	lblWidthDesc:SetSize(60,20);
	lblWidthDesc:SetPosition(lblMoraleColour:GetLeft()-5,LINETOP);
	lblWidthDesc:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight);
	lblWidthDesc:SetForeColor(KHAKI);
	--lblWidthDesc:SetBackColor(Turbine.UI.Color.Red);
	lblWidthDesc:SetFont(Verdana12);
	lblWidthDesc:SetText(_LANG.WIDTH[SETTINGS.LANGUAGE]);

	sbWidth = Turbine.UI.Lotro.ScrollBar();
	sbWidth:SetParent(wMainWinParent);
	sbWidth:SetOrientation(Turbine.UI.Orientation.Horizontal);
	sbWidth:SetSize(170,8);
	sbWidth:SetPosition(lblWidthDesc:GetLeft()+75,LINETOP+7);
	sbWidth:SetVisible(true);
	sbWidth:SetZOrder(200000);
	sbWidth:SetMaximum(400);
	sbWidth:SetMinimum(60);
	sbWidth:SetValue(SETTINGS.BARWIDTH);

	lblWidth = Turbine.UI.Label();
	lblWidth:SetParent(wMainWinParent);
	lblWidth:SetSize(40,20);
	lblWidth:SetPosition(sbWidth:GetLeft()+sbWidth:GetWidth()+10,LINETOP);
	lblWidth:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	lblWidth:SetForeColor(KHAKI);
	--lblWidth:SetBackColor(Turbine.UI.Color.Red);
	lblWidth:SetFont(Verdana12);
	lblWidth:SetText(SETTINGS.BARWIDTH .. "px");

	sbWidth.ValueChanged = function (sender,args)

		lblWidth:SetText(sbWidth:GetValue() .. "px");

		SETTINGS.BARWIDTH = sbWidth:GetValue();

		RefreshHUD();

	end


	LINETOP = LINETOP + 30;

	-- Height Slider
	local lblHeightDesc = Turbine.UI.Label();
	lblHeightDesc:SetParent(wMainWinParent);
	lblHeightDesc:SetSize(60,20);
	lblHeightDesc:SetPosition(lblMoraleColour:GetLeft()-5,LINETOP);
	lblHeightDesc:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight);
	lblHeightDesc:SetForeColor(KHAKI);
	--lblHeightDesc:SetBackColor(Turbine.UI.Color.Red);
	lblHeightDesc:SetFont(Verdana12);
	lblHeightDesc:SetText(_LANG.HEIGHT[SETTINGS.LANGUAGE]);

	sbHeight = Turbine.UI.Lotro.ScrollBar();
	sbHeight:SetParent(wMainWinParent);
	sbHeight:SetOrientation(Turbine.UI.Orientation.Horizontal);
	sbHeight:SetSize(170,8);
	sbHeight:SetPosition(lblHeightDesc:GetLeft()+75,LINETOP+7);
	sbHeight:SetVisible(true);
	sbHeight:SetZOrder(200000);
	sbHeight:SetMaximum(30);
	sbHeight:SetMinimum(5);
	sbHeight:SetValue(SETTINGS.BARHEIGHT);

	lblHeight = Turbine.UI.Label();
	lblHeight:SetParent(wMainWinParent);
	lblHeight:SetSize(40,20);
	lblHeight:SetPosition(sbHeight:GetLeft()+sbHeight:GetWidth()+10,LINETOP);
	lblHeight:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	lblHeight:SetForeColor(KHAKI);
	--lblHeight:SetBackColor(Turbine.UI.Color.Red);
	lblHeight:SetFont(Verdana12);
	lblHeight:SetText(SETTINGS.BARHEIGHT .. "px");

	sbHeight.ValueChanged = function (sender,args)

		lblHeight:SetText(sbHeight:GetValue() .. "px");

		SETTINGS.BARHEIGHT = sbHeight:GetValue();

		RefreshHUD();

	end


	LINETOP = LINETOP + 30;

	-- Offset Slider
	local lblOffsetDesc = Turbine.UI.Label();
	lblOffsetDesc:SetParent(wMainWinParent);
	lblOffsetDesc:SetSize(60,20);
	lblOffsetDesc:SetPosition(lblMoraleColour:GetLeft()-5,LINETOP);
	lblOffsetDesc:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight);
	lblOffsetDesc:SetForeColor(KHAKI);
	--lblOffsetDesc:SetBackColor(Turbine.UI.Color.Red);
	lblOffsetDesc:SetFont(Verdana12);
	lblOffsetDesc:SetText(_LANG.OFFSET[SETTINGS.LANGUAGE]);

	sbOffset = Turbine.UI.Lotro.ScrollBar();
	sbOffset:SetParent(wMainWinParent);
	sbOffset:SetOrientation(Turbine.UI.Orientation.Horizontal);
	sbOffset:SetSize(170,8);
	sbOffset:SetPosition(lblOffsetDesc:GetLeft()+75,LINETOP+7);
	sbOffset:SetVisible(true);
	sbOffset:SetZOrder(200000);

	lblOffset = Turbine.UI.Label();
	lblOffset:SetParent(wMainWinParent);
	lblOffset:SetSize(40,20);
	lblOffset:SetPosition(sbOffset:GetLeft()+sbOffset:GetWidth()+10,LINETOP);
	lblOffset:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	lblOffset:SetForeColor(KHAKI);
	--lblOffset:SetBackColor(Turbine.UI.Color.Red);
	lblOffset:SetFont(Verdana12);

	sbOffset.ValueChanged = function (sender,args)

		lblOffset:SetText(sbOffset:GetValue() .. "px");

		if ddHUDType:GetText() == _LANG.HUDs.SIMPLEABOVE[SETTINGS.LANGUAGE] then
			SETTINGS.SIMPLEABOVE.OFFSET = sbOffset:GetValue();
			SETTINGS.SIMPLETOP = SETTINGS.SIMPLEABOVE.TOP - SETTINGS.SIMPLEABOVE.OFFSET;
		elseif _LANG.HUDs.SIMPLEBELOW[SETTINGS.LANGUAGE] then
			SETTINGS.SIMPLEBELOW.OFFSET = sbOffset:GetValue();
			SETTINGS.SIMPLETOP = SETTINGS.SIMPLEBELOW.TOP + SETTINGS.SIMPLEBELOW.OFFSET;
		end

		RefreshHUD();

	end

	if ddHUDType:GetText() == _LANG.HUDs.SIMPLEABOVE[SETTINGS.LANGUAGE] then
		sbOffset:SetMaximum((SCREENHEIGHT/2));
		sbOffset:SetValue(SETTINGS.SIMPLEABOVE.OFFSET);
		lblOffset:SetText(SETTINGS.SIMPLEABOVE.OFFSET .. "px");
	elseif _LANG.HUDs.SIMPLEBELOW[SETTINGS.LANGUAGE] then
		sbOffset:SetMaximum((SCREENHEIGHT/2)-100);
		sbOffset:SetValue(SETTINGS.SIMPLEBELOW.OFFSET);
		lblOffset:SetText(SETTINGS.SIMPLEBELOW.OFFSET .. "px");
	else
		lblOffsetDesc:SetVisible(false);
		sbOffset:SetVisible(false);
		lblOffset:SetVisible(false);
	end

	LINETOP = LINETOP + 40;
	-- Fade check for combat

	chkCombat = Turbine.UI.Lotro.CheckBox();
	chkCombat:SetParent(wMainWinParent);
	chkCombat:SetPosition(30,LINETOP);
	chkCombat:SetSize(200,20);
	chkCombat:SetFont(Verdana12);
	chkCombat:SetForeColor(KHAKI);
	chkCombat:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	chkCombat:SetChecked(SETTINGS.COMBATFADE);
	chkCombat:SetText(" " .. _LANG.FADE[SETTINGS.LANGUAGE]);

	chkCombat.CheckedChanged = function (sender,args)
		SETTINGS.COMBATFADE = chkCombat:IsChecked();
		RefreshHUD();
	end


	-- Buttons at the bottom

	LINETOP = tempHeight - 40;

	btnRestoreDef = Turbine.UI.Lotro.Button();
	btnRestoreDef:SetParent(wMainWinParent);
	btnRestoreDef:SetWidth(100);
	btnRestoreDef:SetPosition((tempWidth/2)-(btnRestoreDef:GetWidth()/2),LINETOP);
	btnRestoreDef:SetText(_LANG.DEFAULT[SETTINGS.LANGUAGE]);

	btnRestoreDef.Click = function ()
		RestoreDefaults();
	end



	-- Window events
	wMainWinParent.Closing = function()
		SETTINGS.MAINWIN.VISIBLE = false;
		Debug(_LANG.SHOWSETTINGSMSG[SETTINGS.LANGUAGE]);
	end

	wMainWinParent.PositionChanged = function()
		SETTINGS.MAINWIN.X = wMainWinParent:GetLeft();
		SETTINGS.MAINWIN.Y = wMainWinParent:GetTop();
	end

	if SETTINGS.MAINWIN.VISIBLE == false then Debug(_LANG.SHOWSETTINGSMSG[SETTINGS.LANGUAGE]) end;

	wMainWinParent:SetWantsKeyEvents(true);

	wMainWinParent.KeyDown = function (sender,args)
		if args.Action == 268435635 then -- handles F12 button

			if SETTINGS.SHOWSCREEN == false then
				wMainWinParent:SetVisible(SETTINGS.MAINWIN.VISIBLE);
				SETTINGS.SHOWSCREEN = true;
			else
				wMainWinParent:SetVisible(false);
				SETTINGS.SHOWSCREEN = false;
			end

			if wHUDParent ~= nil then
				wHUDParent:SetVisible(SETTINGS.SHOWSCREEN);
			end
		end
	end

end


function DrawColorPicker()

	wColorPicker = Turbine.UI.Window();
	wColorPicker:SetSize(SCREENWIDTH,SCREENHEIGHT);
	wColorPicker:SetPosition(0,0);
	wColorPicker:SetOpacity(0);
	wColorPicker:SetVisible(false);

	wColorPickerHolder = Turbine.UI.Window();
	wColorPickerHolder:SetParent(wColorPicker);
	wColorPickerHolder:SetSize(402,102);
	wColorPickerHolder:SetBackColor(Turbine.UI.Color.Black);
	wColorPickerHolder:SetVisible(true);

	colPicker = ColorPicker.Create();
	--colPicker = Picker.Create();
	colPicker:SetParent(wColorPickerHolder);
	colPicker:SetSize(wColorPickerHolder:GetWidth()-2,wColorPickerHolder:GetHeight()-2);
	colPicker:SetPosition(1,1);

	wColorPicker.MouseClick = function ()

		wColorPicker:SetVisible(false);

	end


end


function GetColour(SENDER,COLORSETTING)

	wColorPicker:SetVisible(true);
	wColorPicker:Activate();
	wColorPickerHolder:SetPosition(Turbine.UI.Display.GetMousePosition());
	Onscreen(wColorPickerHolder);

	--colPicker:Draw();


	colPicker.LeftClick = function ()

		local TurbineCol = colPicker:GetTurbineColor();

		SENDER:SetBackColor(TurbineCol);

		if SENDER == cMoralePreview then
			SETTINGS.MORALE.COLOR = TurbineCol;
		elseif SENDER == cPowerPreview then
			SETTINGS.POWER.COLOR = TurbineCol;
		else
			SETTINGS.FURY.COLOR = TurbineCol;
		end

		RefreshHUD();
		wColorPicker:SetVisible(false);
	end

end


function RestoreDefaults()

	SETTINGS.MORALE.COLOR = DEFAULT_SETTINGS.MORALE.COLOR;
	SETTINGS.MORALE.OPACITY = DEFAULT_SETTINGS.MORALE.OPACITY;
	SETTINGS.POWER.COLOR = DEFAULT_SETTINGS.POWER.COLOR;
	SETTINGS.POWER.OPACITY = DEFAULT_SETTINGS.POWER.OPACITY;
	SETTINGS.FURY.COLOR = DEFAULT_SETTINGS.FURY.COLOR;
	SETTINGS.FURY.OPACITY = DEFAULT_SETTINGS.FURY.OPACITY;
	SETTINGS.VALUEFORMAT = DEFAULT_SETTINGS.VALUEFORMAT;
	SETTINGS.BARWIDTH = DEFAULT_SETTINGS.BARWIDTH;
	SETTINGS.BARHEIGHT = DEFAULT_SETTINGS.BARHEIGHT;
	SETTINGS.SIMPLEABOVE.OFFSET = DEFAULT_SETTINGS.SIMPLEABOVE.OFFSET;
	SETTINGS.SIMPLEBELOW.OFFSET = DEFAULT_SETTINGS.SIMPLEBELOW.OFFSET;


	if ddHUDType:GetText() == _LANG.HUDs.SIMPLEABOVE[SETTINGS.LANGUAGE] then
		sbOffset:SetValue(SETTINGS.SIMPLEABOVE.OFFSET);
		SETTINGS.SIMPLETOP = (SCREENHEIGHT/2) - SETTINGS.SIMPLEABOVE.OFFSET;

	elseif _LANG.HUDs.SIMPLEBELOW[SETTINGS.LANGUAGE] then
		sbOffset:SetValue(SETTINGS.SIMPLEBELOW.OFFSET);
		SETTINGS.SIMPLETOP = (SCREENHEIGHT/2) + SETTINGS.SIMPLEBELOW.OFFSET;

	end


	cMoralePreview:SetBackColor(GetTurbineColor(SETTINGS.MORALE.COLOR));
	cPowerPreview:SetBackColor(GetTurbineColor(SETTINGS.POWER.COLOR));
	cFuryPreview:SetBackColor(GetTurbineColor(SETTINGS.FURY.COLOR));
	ddValFormat:SetLabel(SETTINGS.VALUEFORMAT);

	sbOpacity:SetValue(SETTINGS.MORALE.OPACITY*100);
	sbWidth:SetValue(SETTINGS.BARWIDTH);
	sbHeight:SetValue(SETTINGS.BARHEIGHT);

	RefreshHUD();

end
